Bug 1947867 - Disconnected satellite's subscription page missing the checkbox/select column
Summary: Disconnected satellite's subscription page missing the checkbox/select column
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Cole Higgins
URL:
Whiteboard:
: 1941846 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-09 12:49 UTC by Ashfaqur Rahaman
Modified: 2022-12-09 18:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1985324 (view as bug list)
Environment:
Last Closed: 2021-11-16 14:10:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32815 0 High Closed Disconnected satellite's subscription page missing the checkbox/select column 2021-07-22 15:57:16 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:10:52 UTC

Description Ashfaqur Rahaman 2021-04-09 12:49:49 UTC
Description of problem:

After importing manifest in Disconnected satellite, the subscription page does not show the first column which has Checkbox/Select and ">" expand option. As a result it is also not possible to see all the subscriptions which are grouped together.  

Version-Release number of selected component (if applicable):
Satellite 6.8 

How reproducible:
100%

Steps to Reproduce:
1. Set the satellite to disconnected Mode:  

Settings > Content > Disconnected mode > Yes 

2. Create a new organization "disconnectorg" and select "disconnectorg" as org. 

3. Import manifest which has different subscriptions - grouped by/together and individual  

4. After importing check the subscription page - WEBUI > Content> Subscriptions> 


Actual results:

First column which has Checkbox/Select and ">" is missing from the subscription page 

Expected results:

The column should be visible and ">" should expand all the group by subscriptions

Additional info:

- hammer subscriptions list shows all the subscriptions 

- If we try to add subscription in the activation key, it also shows all the subscriptions properly in available subscription list under "Add" tab. Means : 

WEBUI > Content > Activation Key > Select Activation key > Subscription Tab > Add  

This shows all the subscription available as per the manifest. 

So the issue looks like only the WEBUI > Content> Subscriptions page.

Comment 6 Lucy Fu 2021-06-15 16:13:08 UTC
Created redmine issue https://projects.theforeman.org/issues/32815 from this bug

Comment 12 errata-xmlrpc 2021-11-16 14:10:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702

Comment 14 Brad Buckingham 2022-12-09 18:47:58 UTC
*** Bug 1941846 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.